## opencsg 1.4.0

=== RenderTexture/Makefile ===
all: TestRenderTexture TestRenderTextureCg

TestRenderTexture: TestRenderTexture.cpp RenderTexture.cpp RenderTexture.h
	g++ -g -o TestRenderTexture TestRenderTexture.cpp RenderTexture.cpp -lGL -lglut -lGLEW

TestRenderTextureCg: TestRenderTexture.cpp RenderTexture.cpp RenderTexture.h
	g++ -g -DUSE_CG -o TestRenderTextureCg TestRenderTexture.cpp RenderTexture.cpp -lGL -lglut -lGLEW -lCg -lCgGL

=== glew/Makefile ===
#!gmake
## The OpenGL Extension Wrangler Library
## Copyright (C) 2002-2008, Milan Ikits <milan ikits[]ieee org>
## Copyright (C) 2002-2008, Marcelo E. Magallon <mmagallo[]debian org>
## Copyright (C) 2002, Lev Povalahev
## All rights reserved.
## 
## Redistribution and use in source and binary forms, with or without 
## modification, are permitted provided that the following conditions are met:
## 
## * Redistributions of source code must retain the above copyright notice, 
##   this list of conditions and the following disclaimer.
## * Redistributions in binary form must reproduce the above copyright notice, 
##   this list of conditions and the following disclaimer in the documentation 
##   and/or other materials provided with the distribution.
## * The name of the author may be used to endorse or promote products 
##   derived from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
## AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
## IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
## ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
## LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
## CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
## SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
## INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
## CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
## ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
## THE POSSIBILITY OF SUCH DAMAGE.

include config/version

SHELL = /bin/sh
SYSTEM ?= $(shell config/config.guess | cut -d - -f 3 | sed -e 's/[0-9\.]//g;')
SYSTEM.SUPPORTED = $(shell test -f config/Makefile.$(SYSTEM) && echo 1)

ifeq ($(SYSTEM.SUPPORTED), 1)
include config/Makefile.$(SYSTEM)
else
$(error "Platform '$(SYSTEM)' not supported")
endif

GLEW_PREFIX ?= /usr
GLEW_DEST ?= /usr
BINDIR    ?= $(GLEW_DEST)/bin
LIBDIR    ?= $(GLEW_DEST)/lib
INCDIR    ?= $(GLEW_DEST)/include/GL

ifneq ($(GLEW_NO_GLU), -DGLEW_NO_GLU)
LIBGLU = glu
endif

DIST_NAME     ?= glew-$(GLEW_VERSION)
DIST_SRC_ZIP ?= $(shell pwd)/$(DIST_NAME).zip
DIST_SRC_TGZ ?= $(shell pwd)/$(DIST_NAME).tgz
DIST_WIN32   ?= $(shell pwd)/$(DIST_NAME)-win32.zip

DIST_DIR := $(shell mktemp -d /tmp/glew.XXXXXX)/$(DIST_NAME)

# To disable stripping of binaries either:
#   - use STRIP= on gmake command-line
#   - edit this makefile to set STRIP to the empty string
#
# To disable symlinks:
#   - use LN= on gmake command-line

AR      ?= ar
INSTALL ?= install
STRIP   ?= strip
RM      ?= rm -f
LN      ?= ln -sf

ifneq (,$(filter debug,$(MAKECMDGOALS)))
OPT = -g
else
OPT = $(POPT)
endif
INCLUDE = -Iinclude
CFLAGS = $(OPT) $(WARN) $(INCLUDE) $(CFLAGS.EXTRA)

all debug: glew.lib glew.lib.mx glew.bin

# GLEW shared and static libraries

LIB.LDFLAGS        := $(LDFLAGS.EXTRA) $(LDFLAGS.GL)
LIB.LIBS           := $(GL_LDFLAGS)

LIB.SRCS           := src/glew.c
LIB.SRCS.NAMES     := $(notdir $(LIB.SRCS))

LIB.OBJS           := $(addprefix tmp/$(SYSTEM)/default/static/,$(LIB.SRCS.NAMES))
LIB.OBJS           := $(LIB.OBJS:.c=.o)
LIB.SOBJS          := $(addprefix tmp/$(SYSTEM)/default/shared/,$(LIB.SRCS.NAMES))
LIB.SOBJS          := $(LIB.SOBJS:.c=.o)

LIB.OBJS.MX        := $(addprefix tmp/$(SYSTEM)/mx/static/,$(LIB.SRCS.NAMES))
LIB.OBJS.MX        := $(LIB.OBJS.MX:.c=.o)
LIB.SOBJS.MX       := $(addprefix tmp/$(SYSTEM)/mx/shared/,$(LIB.SRCS.NAMES))
LIB.SOBJS.MX       := $(LIB.SOBJS.MX:.c=.o)

glew.lib: lib lib/$(LIB.SHARED) lib/$(LIB.STATIC) glew.pc

lib:
	mkdir lib

lib/$(LIB.STATIC): $(LIB.OBJS)
	$(AR) cr $@ $^
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

lib/$(LIB.SHARED): $(LIB.SOBJS)
	$(LD) $(LDFLAGS.SO) -o $@ $^ $(LIB.LDFLAGS) $(LIB.LIBS)
ifneq ($(LN),)
	$(LN) $(LIB.SHARED) lib/$(LIB.SONAME)
	$(LN) $(LIB.SHARED) lib/$(LIB.DEVLNK)
endif
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

tmp/$(SYSTEM)/default/static/glew.o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU -DGLEW_STATIC $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

tmp/$(SYSTEM)/default/shared/glew.o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

# Force re-write of glew.pc, GLEW_DEST can vary

.PHONY: glew.pc

glew.pc: glew.pc.in
	sed \
		-e "s|@prefix@|$(GLEW_PREFIX)|g" \
		-e "s|@libdir@|$(LIBDIR)|g" \
		-e "s|@exec_prefix@|$(BINDIR)|g" \
		-e "s|@includedir@|$(INCDIR)|g" \
		-e "s|@version@|$(GLEW_VERSION)|g" \
		-e "s|@cflags@||g" \
		-e "s|@libname@|$(NAME)|g" \
		-e "s|@requireslib@|$(LIBGLU)|g" \
		< $< > $@

# GLEW MX static and shared libraries

glew.lib.mx:  lib lib/$(LIB.SHARED.MX) lib/$(LIB.STATIC.MX) glewmx.pc

lib/$(LIB.STATIC.MX): $(LIB.OBJS.MX)
	$(AR) cr $@ $^

lib/$(LIB.SHARED.MX): $(LIB.SOBJS.MX)
	$(LD) $(LDFLAGS.SO.MX) -o $@ $^ $(LIB.LDFLAGS) $(LIB.LIBS)
ifneq ($(LN),)
	$(LN) $(LIB.SHARED.MX) lib/$(LIB.SONAME.MX)
	$(LN) $(LIB.SHARED.MX) lib/$(LIB.DEVLNK.MX)
endif
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

tmp/$(SYSTEM)/mx/static/glew.o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU -DGLEW_MX -DGLEW_STATIC $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

tmp/$(SYSTEM)/mx/shared/glew.o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU -DGLEW_MX $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

# Force re-write of glewmx.pc, GLEW_DEST can vary

.PHONY: glewmx.pc

glewmx.pc: glew.pc.in
	sed \
		-e "s|@prefix@|$(GLEW_PREFIX)|g" \
		-e "s|@libdir@|$(LIBDIR)|g" \
		-e "s|@exec_prefix@|$(BINDIR)|g" \
		-e "s|@includedir@|$(INCDIR)|g" \
		-e "s|@version@|$(GLEW_VERSION)|g" \
		-e "s|@cflags@|-DGLEW_MX|g" \
		-e "s|@libname@|$(NAME)mx|g" \
		-e "s|@requireslib@|$(LIBGLU)|g" \
		< $< > $@

# GLEW utility programs

BIN.LIBS = -Llib $(LDFLAGS.DYNAMIC) -l$(NAME) $(LDFLAGS.EXTRA) $(LDFLAGS.GL)

GLEWINFO.BIN       := glewinfo$(BIN.SUFFIX)
GLEWINFO.BIN.SRC   := src/glewinfo.c
GLEWINFO.BIN.OBJ   := $(addprefix tmp/$(SYSTEM)/default/shared/,$(notdir $(GLEWINFO.BIN.SRC)))
GLEWINFO.BIN.OBJ   := $(GLEWINFO.BIN.OBJ:.c=.o)

VISUALINFO.BIN     := visualinfo$(BIN.SUFFIX)
VISUALINFO.BIN.SRC := src/visualinfo.c
VISUALINFO.BIN.OBJ := $(addprefix tmp/$(SYSTEM)/default/shared/,$(notdir $(VISUALINFO.BIN.SRC)))
VISUALINFO.BIN.OBJ := $(VISUALINFO.BIN.OBJ:.c=.o)

# Don't build glewinfo or visualinfo for NaCL, yet.

ifneq ($(filter nacl%,$(SYSTEM)),)
glew.bin: glew.lib bin
else
glew.bin: glew.lib bin bin/$(GLEWINFO.BIN) bin/$(VISUALINFO.BIN) 
endif

bin:
	mkdir bin

bin/$(GLEWINFO.BIN): $(GLEWINFO.BIN.OBJ) lib/$(LIB.SHARED)
	$(CC) $(CFLAGS) -o $@ $(GLEWINFO.BIN.OBJ) $(BIN.LIBS)
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

bin/$(VISUALINFO.BIN): $(VISUALINFO.BIN.OBJ) lib/$(LIB.SHARED)
	$(CC) $(CFLAGS) -o $@ $(VISUALINFO.BIN.OBJ) $(BIN.LIBS)
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

$(GLEWINFO.BIN.OBJ): $(GLEWINFO.BIN.SRC) include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

$(VISUALINFO.BIN.OBJ): $(VISUALINFO.BIN.SRC) include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

# Install targets

install.all: install install.mx install.bin

install:     install.include install.lib install.pkgconfig

install.mx:  install.include install.lib.mx install.pkgconfig.mx

install.lib: glew.lib
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(LIBDIR)"
# runtime
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(BINDIR)"
	$(INSTALL) -m 0755 lib/$(LIB.SHARED) "$(DESTDIR)$(BINDIR)/"
else
	$(INSTALL) -m 0644 lib/$(LIB.SHARED) "$(DESTDIR)$(LIBDIR)/"
endif
ifneq ($(LN),)
	$(LN) $(LIB.SHARED) "$(DESTDIR)$(LIBDIR)/$(LIB.SONAME)"
endif

# development files
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(INSTALL) -m 0644 lib/$(LIB.DEVLNK) "$(DESTDIR)$(LIBDIR)/"
endif
ifneq ($(LN),)
	$(LN) $(LIB.SHARED) "$(DESTDIR)$(LIBDIR)/$(LIB.DEVLNK)"
endif
	$(INSTALL) -m 0644 lib/$(LIB.STATIC) "$(DESTDIR)$(LIBDIR)/"

install.lib.mx: glew.lib.mx
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(LIBDIR)"
# runtime
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(BINDIR)"
	$(INSTALL) -m 0755 lib/$(LIB.SHARED.MX) "$(DESTDIR)$(BINDIR)/"
else
	$(INSTALL) -m 0644 lib/$(LIB.SHARED.MX) "$(DESTDIR)$(LIBDIR)/"
endif
ifneq ($(LN),)
	$(LN) $(LIB.SHARED.MX) "$(DESTDIR)$(LIBDIR)/$(LIB.SONAME.MX)"
endif
# development files
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(INSTALL) -m 0644 lib/$(LIB.DEVLNK.MX) "$(DESTDIR)$(LIBDIR)/"
endif
ifneq ($(LN),)
	$(LN) $(LIB.SHARED.MX) "$(DESTDIR)$(LIBDIR)/$(LIB.DEVLNK.MX)"
endif
	$(INSTALL) -m 0644 lib/$(LIB.STATIC.MX) "$(DESTDIR)$(LIBDIR)/"

install.bin: glew.bin
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(BINDIR)"
	$(INSTALL) -s -m 0755 bin/$(GLEWINFO.BIN) bin/$(VISUALINFO.BIN) "$(DESTDIR)$(BINDIR)/"

install.include:
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(INCDIR)"
	$(INSTALL) -m 0644 include/GL/wglew.h "$(DESTDIR)$(INCDIR)/"
	$(INSTALL) -m 0644 include/GL/glew.h "$(DESTDIR)$(INCDIR)/"
	$(INSTALL) -m 0644 include/GL/glxew.h "$(DESTDIR)$(INCDIR)/"

install.pkgconfig: glew.pc
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(LIBDIR)"
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(LIBDIR)/pkgconfig"
	$(INSTALL) -m 0644 glew.pc "$(DESTDIR)$(LIBDIR)/pkgconfig/"

install.pkgconfig.mx: glewmx.pc
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(LIBDIR)"
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(LIBDIR)/pkgconfig"
	$(INSTALL) -m 0644 glewmx.pc "$(DESTDIR)$(LIBDIR)/pkgconfig/"

uninstall:
	$(RM) "$(DESTDIR)$(INCDIR)/wglew.h"
	$(RM) "$(DESTDIR)$(INCDIR)/glew.h"
	$(RM) "$(DESTDIR)$(INCDIR)/glxew.h"
	$(RM) "$(DESTDIR)$(LIBDIR)/$(LIB.DEVLNK)" "$(DESTDIR)$(LIBDIR)/$(LIB.DEVLNK.MX)"
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(RM) "$(DESTDIR)$(BINDIR)/$(LIB.SHARED)" "$(DESTDIR)$(BINDIR)/$(LIB.SHARED.MX)"
else
	$(RM) "$(DESTDIR)$(LIBDIR)/$(LIB.SONAME)" "$(DESTDIR)$(LIBDIR)/$(LIB.SONAME.MX)"
	$(RM) "$(DESTDIR)$(LIBDIR)/$(LIB.SHARED)" "$(DESTDIR)$(LIBDIR)/$(LIB.SHARED.MX)"
endif
	$(RM) "$(DESTDIR)$(LIBDIR)/$(LIB.STATIC)" "$(DESTDIR)$(LIBDIR)/$(LIB.STATIC.MX)"
	$(RM) "$(DESTDIR)$(BINDIR)/$(GLEWINFO.BIN)" "$(DESTDIR)$(BINDIR)/$(VISUALINFO.BIN)"

clean:
	$(RM) -r tmp/
	$(RM) -r lib/
	$(RM) -r bin/
	$(RM) glew.pc glewmx.pc

distclean: clean
	find . -name \*~ | xargs $(RM)
	find . -name .\*.sw\? | xargs $(RM)

# Distributions

dist-win32:
	$(RM) -r $(DIST_DIR)
	mkdir -p $(DIST_DIR)
	cp -a include $(DIST_DIR)
	cp -a doc $(DIST_DIR)
	cp -a *.txt $(DIST_DIR)
	cp -a bin $(DIST_DIR)
	cp -a lib $(DIST_DIR)
	$(RM) -f $(DIST_DIR)/bin/*/*/*.pdb $(DIST_DIR)/bin/*/*/*.exp
	$(RM) -f $(DIST_DIR)/bin/*/*/glewinfo-*.exe $(DIST_DIR)/bin/*/*/visualinfo-*.exe 
	$(RM) -f $(DIST_DIR)/lib/*/*/*.pdb $(DIST_DIR)/lib/*/*/*.exp
	unix2dos $(DIST_DIR)/include/GL/*.h
	unix2dos $(DIST_DIR)/doc/*.txt
	unix2dos $(DIST_DIR)/doc/*.html
	unix2dos $(DIST_DIR)/*.txt
	rm -f $(DIST_WIN32)
	cd $(DIST_DIR)/.. && zip -rv9 $(DIST_WIN32) $(DIST_NAME)
	$(RM) -r $(DIST_DIR)

dist-src:
	$(RM) -r $(DIST_DIR)
	mkdir -p $(DIST_DIR)
	mkdir -p $(DIST_DIR)/bin
	mkdir -p $(DIST_DIR)/lib
	cp -a auto $(DIST_DIR)
	$(RM) -Rf $(DIST_DIR)/auto/registry
	cp -a build $(DIST_DIR)
	cp -a config $(DIST_DIR)
	cp -a src $(DIST_DIR)
	cp -a doc $(DIST_DIR)
	cp -a include $(DIST_DIR)
	cp -a *.txt $(DIST_DIR)
	cp -a Makefile $(DIST_DIR)
	cp -a glew.pc.in $(DIST_DIR)
	find $(DIST_DIR) -name '*.o' | xargs $(RM) -r
	find $(DIST_DIR) -name '*~' | xargs $(RM) -r
	find $(DIST_DIR) -name CVS -o -name .cvsignore | xargs $(RM) -r
	find $(DIST_DIR) -name .svn | xargs $(RM) -r
	find $(DIST_DIR) -name "*.patch" | xargs $(RM) -r
	dos2unix $(DIST_DIR)/Makefile
	dos2unix $(DIST_DIR)/auto/Makefile
	dos2unix $(DIST_DIR)/config/*
	unix2dos $(DIST_DIR)/auto/core/*
	unix2dos $(DIST_DIR)/auto/extensions/*

=== src/Makefile ===
#############################################################################
# Makefile for building: libopencsg.so.1.4.0
# Generated by qmake (2.01a) (Qt 4.8.6) on: Mo. Sep 15 22:00:30 2014
# Project:  src.pro
# Template: lib
# Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -pipe -O2 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -fPIC $(DEFINES)
INCPATH       = -I. -I../include -I.. -I/usr/X11R6/include
LINK          = g++
LFLAGS        = -Wl,-O1 -shared -Wl,-soname,libopencsg.so.1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib64 -lGLEW -lGL 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = area.cpp \
		batch.cpp \
		context.cpp \
		channelManager.cpp \
		frameBufferObject.cpp \
		frameBufferObjectExt.cpp \
		occlusionQuery.cpp \
		opencsgRender.cpp \
		openglHelper.cpp \
		pBufferTexture.cpp \
		primitive.cpp \
		primitiveHelper.cpp \
		renderGoldfeather.cpp \
		renderSCS.cpp \
		scissorMemo.cpp \
		settings.cpp \
		stencilManager.cpp \
		../RenderTexture/RenderTexture.cpp 
OBJECTS       = area.o \
		batch.o \
		context.o \
		channelManager.o \
		frameBufferObject.o \
		frameBufferObjectExt.o \
		occlusionQuery.o \
		opencsgRender.o \
		openglHelper.o \
		pBufferTexture.o \
		primitive.o \
		primitiveHelper.o \
		renderGoldfeather.o \
		renderSCS.o \
		scissorMemo.o \
		settings.o \
		stencilManager.o \
		RenderTexture.o
DIST          = src.pro
QMAKE_TARGET  = opencsg
DESTDIR       = ../lib/
TARGET        = libopencsg.so.1.4.0
TARGETA       = ../lib/libopencsg.a
TARGETD       = libopencsg.so.1.4.0
TARGET0       = libopencsg.so
TARGET1       = libopencsg.so.1
TARGET2       = libopencsg.so.1.4

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../lib/$(TARGET)

../lib/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../lib/ || $(MKDIR) ../lib/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../lib/$(TARGET)
	-$(DEL_FILE) ../lib/$(TARGET0)
	-$(DEL_FILE) ../lib/$(TARGET1)
	-$(DEL_FILE) ../lib/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../lib/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

dist: 
	@$(CHK_DIR_EXISTS) .tmp/opencsg1.4.0 || $(MKDIR) .tmp/opencsg1.4.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/opencsg1.4.0/ && (cd `dirname .tmp/opencsg1.4.0` && $(TAR) opencsg1.4.0.tar opencsg1.4.0 && $(COMPRESS) opencsg1.4.0.tar) && $(MOVE) `dirname .tmp/opencsg1.4.0`/opencsg1.4.0.tar.gz . && $(DEL_FILE) -r .tmp/opencsg1.4.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../lib/$(TARGET) 
	-$(DEL_FILE) ../lib/$(TARGET0) ../lib/$(TARGET1) ../lib/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


check: first

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

area.o: area.cpp opencsgConfig.h \
		area.h \
		openglHelper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o area.o area.cpp

batch.o: batch.cpp opencsgConfig.h \
		batch.h \
		primitiveHelper.h \
		area.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o batch.o batch.cpp

context.o: context.cpp opencsgConfig.h \
		context.h \
		offscreenBuffer.h \
		frameBufferObject.h \
		frameBufferObjectExt.h \
		pBufferTexture.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o context.o context.cpp

channelManager.o: channelManager.cpp opencsgConfig.h \
		channelManager.h \
		context.h \
		offscreenBuffer.h \
		openglHelper.h \
		area.h \
		settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o channelManager.o channelManager.cpp

frameBufferObject.o: frameBufferObject.cpp opencsgConfig.h \
		frameBufferObject.h \
		offscreenBuffer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o frameBufferObject.o frameBufferObject.cpp

frameBufferObjectExt.o: frameBufferObjectExt.cpp opencsgConfig.h \
		frameBufferObjectExt.h \
		offscreenBuffer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o frameBufferObjectExt.o frameBufferObjectExt.cpp

occlusionQuery.o: occlusionQuery.cpp opencsgConfig.h \
		occlusionQuery.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o occlusionQuery.o occlusionQuery.cpp

opencsgRender.o: opencsgRender.cpp opencsgConfig.h \
		opencsgRender.h \
		primitiveHelper.h \
		area.h \
		settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o opencsgRender.o opencsgRender.cpp

openglHelper.o: openglHelper.cpp opencsgConfig.h \
		openglHelper.h \
		area.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o openglHelper.o openglHelper.cpp

pBufferTexture.o: pBufferTexture.cpp opencsgConfig.h \
		pBufferTexture.h \
		offscreenBuffer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pBufferTexture.o pBufferTexture.cpp

primitive.o: primitive.cpp opencsgConfig.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o primitive.o primitive.cpp

primitiveHelper.o: primitiveHelper.cpp opencsgConfig.h \
		openglHelper.h \
		area.h \
		primitiveHelper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o primitiveHelper.o primitiveHelper.cpp

renderGoldfeather.o: renderGoldfeather.cpp opencsgConfig.h \
		opencsgRender.h \
		batch.h \
		channelManager.h \
		occlusionQuery.h \
		openglHelper.h \
		area.h \
		primitiveHelper.h \
		scissorMemo.h \
		stencilManager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o renderGoldfeather.o renderGoldfeather.cpp

renderSCS.o: renderSCS.cpp opencsgConfig.h \
		opencsgRender.h \
		batch.h \
		channelManager.h \
		context.h \
		occlusionQuery.h \
		openglHelper.h \
		area.h \
		primitiveHelper.h \
		scissorMemo.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o renderSCS.o renderSCS.cpp

scissorMemo.o: scissorMemo.cpp opencsgConfig.h \
		openglHelper.h \
		area.h \
		scissorMemo.h \
		channelManager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o scissorMemo.o scissorMemo.cpp

settings.o: settings.cpp opencsgConfig.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settings.o settings.cpp

stencilManager.o: stencilManager.cpp opencsgConfig.h \
		area.h \
		openglHelper.h \
		stencilManager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o stencilManager.o stencilManager.cpp

RenderTexture.o: ../RenderTexture/RenderTexture.cpp ../RenderTexture/RenderTexture.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o RenderTexture.o ../RenderTexture/RenderTexture.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/lib/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/lib/ 
	-$(INSTALL_PROGRAM) "../lib/$(TARGET)" "$(INSTALL_ROOT)/usr/local/lib/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/local/lib/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/local/lib/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/local/lib/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/local/lib/$(TARGET2)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/lib/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/lib/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/lib/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/lib/$(TARGET2)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/lib/ 


install_headers: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/include/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/include/ 
	-$(INSTALL_FILE) ../include/opencsg.h $(INSTALL_ROOT)/usr/local/include/


uninstall_headers:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/include/opencsg.h
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/include/ 


install:  install_target install_headers  FORCE

uninstall: uninstall_target uninstall_headers   FORCE

FORCE:

=== debian/changelog ===
opencsg (1.4.0-1ubuntu3) xenial; urgency=medium

  * No-change rebuild against libglew1.13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2015 19:23:59 +0000

opencsg (1.4.0-1ubuntu2) wily; urgency=medium

  * force-libgl-armhf.patch: force use of lGL instead of lGLESV2 
    (LP: #1490091)

 -- Tiago Stürmer Daitx <tiago.daitx@canonical.com>  Wed, 02 Sep 2015 13:16:53 +0100

opencsg (1.4.0-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:33:55 +0100

opencsg (1.4.0-1) unstable; urgency=medium

  * New upstream release
    - Enhancements with alpha blending and complex scenes
    - No more patching of QMake projects necessary; upstream no longer
      uses its own version of GLEW
  * Bump Standards-Version to 3.9.6
    - Remove DM-Upload-Allowed (not in use any more)
    - Add README.source about the state of symbols and C++ visibility
  * Enable hardening
  * Patch: Use C++ visibility to only export symbols declared in opencsg.h
  * Use qmake-qt4 to regenerate Makefiles
  * Patch documentation to not load nonlocal resources
  * Fix typo in description (Closes: #728369)
  * Updated copyright file to reflect newer GLEW version
  * Move packaging project to collab-maint

 -- Christian M. Amsüss <chrysn@fsfe.org>  Thu, 26 Mar 2015 16:46:14 +0100

=== debian/control ===
Source: opencsg
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian M. Amsüss <chrysn@fsfe.org>
Build-Depends: debhelper (>= 9), freeglut3-dev, libboost-dev,
 libglew-dev (>= 1.5.4) | libglew1.6-dev |
 libglew1.5-dev (>= 1.5.4), libxmu-dev, qt4-qmake
Standards-Version: 3.9.6
Section: libs
Homepage: http://opencsg.org/
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/opencsg.git/
Vcs-git: git://anonscm.debian.org/collab-maint/opencsg.git

Package: libopencsg-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopencsg1v5 (= ${binary:Version})
Description: image-based CSG library using OpenGL (development files)
 OpenCSG is a library for CSG (Constructive Solid Geometry) that can combine
 geometric primitives to more complex objects, for example the difference
 between two primitives. Instead of explicitly calculating the shape of the
 resulting object, it uses OpenGL's z-buffer to render the image.
 .
 OpenCSG implements both the Goldfeather and the SCS algorithm.
 .
 This package contains files needed to compile opencsg applications.

Package: libopencsg1v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Conflicts: libopencsg1
Replaces: libopencsg1
Description: image-based CSG (Constructive Solid Geometry) library using OpenGL
 OpenCSG is a library for CSG (Constructive Solid Geometry) that can combine
 geometric primitives to more complex objects, for example the difference
 between two primitives. Instead of explicitly calculating the shape of the
 resulting object, it uses OpenGL's z-buffer to render the image.
 .
 OpenCSG implements both the Goldfeather and the SCS algorithm.
 .
 This package contains shared library files.

Package: libopencsg-example
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: image-based CSG library using OpenGL (example program)
 OpenCSG is a library for CSG (Constructive Solid Geometry) that can combine
 geometric primitives to more complex objects, for example the difference
 between two primitives. Instead of explicitly calculating the shape of the
 resulting object, it uses OpenGL's z-buffer to render the image.
 .
 OpenCSG implements both the Goldfeather and the SCS algorithm.
 .
 This package contains a OpenCSG demo program.

Package: libopencsg1v5-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libopencsg1v5 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Conflicts: libopencsg1-dbg
Replaces: libopencsg1-dbg
Description: debugging symbols for libopencsg
 OpenCSG is a library for CSG (Constructive Solid Geometry) that can combine
 geometric primitives to more complex objects, for example the difference
 between two primitives. Instead of explicitly calculating the shape of the
 resulting object, it uses OpenGL's z-buffer to render the image.
 .
 OpenCSG implements both the Goldfeather and the SCS algorithm.
 .
 This package contains the debugging symbols for libopencsg.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE=1

ifeq ($(DEB_HOST_ARCH),armhf)
  DISTRIBUTION_PATCHES += debian/patches/force-libgl-armhf.patch
endif
export DISTRIBUTION_PATCHES

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CXXFLAGS += -fvisibility=hidden

%:
	dh  $@ --buildsystem=qmake_qt4

makefiles-to-safety:
	# upstream ships Makefiles that get cleaned in `make distclean`;
	# protect them to restore the original package.
	[ -e Makefile.orig ] || rename 's/Makefile/Makefile.orig/' Makefile src/Makefile example/Makefile

override_dh_auto_configure: makefiles-to-safety
	dh_auto_configure

override_dh_auto_install:
	# the build.txt file mentions that `make install` should work, but it
	# doesn't respect the usual environment parameters.

	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	mkdir -p debian/tmp/usr/include/

	cp -a lib/* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp -a include/* debian/tmp/usr/include/

override_dh_auto_clean: makefiles-to-safety
	dh_auto_clean

	# distclean removes the contents but not the directory
	[ ! -e lib ] || rmdir lib

	# see rename above
	rename -f 's/Makefile\.orig/Makefile/' Makefile.orig src/Makefile.orig example/Makefile.orig

override_dh_installdocs:
	dh_installdocs --link-doc=libopencsg1v5

override_dh_strip:
	dh_strip --dbg-package=libopencsg1v5-dbg

## opencsg 1.4.2

=== Makefile ===
#############################################################################
# Makefile for building: opencsg
# Generated by qmake (2.01a) (Qt 4.8.6) on: Mo. Sep 15 21:55:57 2014
# Project:  opencsg.pro
# Template: subdirs
# Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -o Makefile opencsg.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src \
		sub-example

src//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -o $(MAKEFILE)
sub-src: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
example//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) example/ || $(MKDIR) example/ 
	cd example/ && $(QMAKE) example.pro -o $(MAKEFILE)
sub-example-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) example/ || $(MKDIR) example/ 
	cd example/ && $(QMAKE) example.pro -o $(MAKEFILE)
sub-example: example//$(MAKEFILE) FORCE
	cd example/ && $(MAKE) -f $(MAKEFILE)
sub-example-make_default: example//$(MAKEFILE) FORCE
	cd example/ && $(MAKE) -f $(MAKEFILE) 
sub-example-make_first: example//$(MAKEFILE) FORCE
	cd example/ && $(MAKE) -f $(MAKEFILE) first
sub-example-all: example//$(MAKEFILE) FORCE
	cd example/ && $(MAKE) -f $(MAKEFILE) all
sub-example-clean: example//$(MAKEFILE) FORCE
	cd example/ && $(MAKE) -f $(MAKEFILE) clean
sub-example-distclean: example//$(MAKEFILE) FORCE
	cd example/ && $(MAKE) -f $(MAKEFILE) distclean
sub-example-install_subtargets: example//$(MAKEFILE) FORCE
	cd example/ && $(MAKE) -f $(MAKEFILE) install
sub-example-uninstall_subtargets: example//$(MAKEFILE) FORCE
	cd example/ && $(MAKE) -f $(MAKEFILE) uninstall

qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile opencsg.pro

qmake_all: sub-src-qmake_all sub-example-qmake_all FORCE

make_default: sub-src-make_default sub-example-make_default FORCE
make_first: sub-src-make_first sub-example-make_first FORCE
all: sub-src-all sub-example-all FORCE
clean: sub-src-clean sub-example-clean FORCE
distclean: sub-src-distclean sub-example-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets sub-example-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets sub-example-uninstall_subtargets FORCE

sub-src-check: src/$(MAKEFILE)
	cd src/ && $(MAKE) -f $(MAKEFILE) check
sub-example-check: example/$(MAKEFILE)
	cd example/ && $(MAKE) -f $(MAKEFILE) check
check: sub-src-check sub-example-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== example/Makefile ===
#############################################################################
# Makefile for building: opencsgexample
# Generated by qmake (2.01a) (Qt 4.8.6) on: Mo. Sep 15 22:03:14 2014
# Project:  example.pro
# Template: app
# Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -o Makefile example.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -pipe -O2 -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W $(DEFINES)
INCPATH       = -I. -I../include -I/usr/X11R6/include
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib64 -L../lib -lopencsg -lGLEW -lGLU -lglut -lGL 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = displaylistPrimitive.cpp \
		main.cpp 
OBJECTS       = displaylistPrimitive.o \
		main.o
DIST          = example.pro
QMAKE_TARGET  = opencsgexample
DESTDIR       = 
TARGET        = opencsgexample

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

dist: 
	@$(CHK_DIR_EXISTS) .tmp/opencsgexample1.0.0 || $(MKDIR) .tmp/opencsgexample1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/opencsgexample1.0.0/ && (cd `dirname .tmp/opencsgexample1.0.0` && $(TAR) opencsgexample1.0.0.tar opencsgexample1.0.0 && $(COMPRESS) opencsgexample1.0.0.tar) && $(MOVE) `dirname .tmp/opencsgexample1.0.0`/opencsgexample1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/opencsgexample1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

displaylistPrimitive.o: displaylistPrimitive.cpp displaylistPrimitive.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o displaylistPrimitive.o displaylistPrimitive.cpp

main.o: main.cpp displaylistPrimitive.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/bin/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #############################################################################
-# Makefile for building: libopencsg.so.1.4.0
+# Makefile for building: libopencsg.so.1.4.2
 # Generated by qmake (2.01a) (Qt 4.8.6) on: Mo. Sep 15 22:00:30 2014
 # Project:  src.pro
 # Template: lib
@@ -82,9 +82,9 @@
 DIST          = src.pro
 QMAKE_TARGET  = opencsg
 DESTDIR       = ../lib/
-TARGET        = libopencsg.so.1.4.0
+TARGET        = libopencsg.so.1.4.2
 TARGETA       = ../lib/libopencsg.a
-TARGETD       = libopencsg.so.1.4.0
+TARGETD       = libopencsg.so.1.4.2
 TARGET0       = libopencsg.so
 TARGET1       = libopencsg.so.1
 TARGET2       = libopencsg.so.1.4
@@ -135,8 +135,8 @@
 	$(AR) $(TARGETA) $(OBJECTS)
 
 dist: 
-	@$(CHK_DIR_EXISTS) .tmp/opencsg1.4.0 || $(MKDIR) .tmp/opencsg1.4.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/opencsg1.4.0/ && (cd `dirname .tmp/opencsg1.4.0` && $(TAR) opencsg1.4.0.tar opencsg1.4.0 && $(COMPRESS) opencsg1.4.0.tar) && $(MOVE) `dirname .tmp/opencsg1.4.0`/opencsg1.4.0.tar.gz . && $(DEL_FILE) -r .tmp/opencsg1.4.0
+	@$(CHK_DIR_EXISTS) .tmp/opencsg1.4.2 || $(MKDIR) .tmp/opencsg1.4.2 
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/opencsg1.4.2/ && (cd `dirname .tmp/opencsg1.4.2` && $(TAR) opencsg1.4.2.tar opencsg1.4.2 && $(COMPRESS) opencsg1.4.2.tar) && $(MOVE) `dirname .tmp/opencsg1.4.2`/opencsg1.4.2.tar.gz . && $(DEL_FILE) -r .tmp/opencsg1.4.2
 
 
 clean:compiler_clean

=== debian/changelog ===
opencsg (1.4.2-3) unstable; urgency=medium

  * Fix link failure of opencsg-example on armel/armhf

 -- Kristian Nielsen <knielsen@knielsen-hq.org>  Mon, 09 Sep 2019 21:53:54 +0200

opencsg (1.4.2-2) unstable; urgency=medium

  * Switch from qt4-qmake to qt5-qmake dependency (Closes: #875070)

 -- Kristian Nielsen <knielsen@knielsen-hq.org>  Wed, 04 Sep 2019 20:14:28 +0200

opencsg (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2 (Closes: #861244)
  * Update copyright file
  * Drop old dependency names from squeeze or earlier
  * Modernize VCS-* and DEP URIs
  * Drop obsolete lintian override
  * Bump Standards-Version (no changes)
  * Make build dependency on rename explicit (Closes: #876676)

 -- Christian M. Amsüss <chrysn@fsfe.org>  Thu, 28 Sep 2017 18:38:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: opencsg
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian M. Amsüss <chrysn@fsfe.org>
+Maintainer: Christian M. Amsüss <chrysn@fsfe.org>
+Uploaders: Kristian Nielsen <knielsen@knielsen-hq.org>
 Build-Depends: debhelper (>= 9), freeglut3-dev, libboost-dev,
- libglew-dev (>= 1.5.4) | libglew1.6-dev |
- libglew1.5-dev (>= 1.5.4), libxmu-dev, qt4-qmake
-Standards-Version: 3.9.6
+ libglew-dev, libxmu-dev, qt5-qmake, qtbase5-dev, rename
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://opencsg.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/opencsg.git/
-Vcs-git: git://anonscm.debian.org/collab-maint/opencsg.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/opencsg.git/
+Vcs-git: https://anonscm.debian.org/git/collab-maint/opencsg.git
 
 Package: libopencsg-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libopencsg1v5 (= ${binary:Version})
+Depends: ${misc:Depends}, libopencsg1 (= ${binary:Version})
 Description: image-based CSG library using OpenGL (development files)
  OpenCSG is a library for CSG (Constructive Solid Geometry) that can combine
  geometric primitives to more complex objects, for example the difference
@@ -25,13 +24,11 @@
  .
  This package contains files needed to compile opencsg applications.
 
-Package: libopencsg1v5
+Package: libopencsg1
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
-Conflicts: libopencsg1
-Replaces: libopencsg1
 Description: image-based CSG (Constructive Solid Geometry) library using OpenGL
  OpenCSG is a library for CSG (Constructive Solid Geometry) that can combine
  geometric primitives to more complex objects, for example the difference
@@ -56,14 +53,12 @@
  .
  This package contains a OpenCSG demo program.
 
-Package: libopencsg1v5-dbg
+Package: libopencsg1-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libopencsg1v5 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libopencsg1 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
-Conflicts: libopencsg1-dbg
-Replaces: libopencsg1-dbg
 Description: debugging symbols for libopencsg
  OpenCSG is a library for CSG (Constructive Solid Geometry) that can combine
  geometric primitives to more complex objects, for example the difference

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,18 @@
 #!/usr/bin/make -f
 
 # DH_VERBOSE=1
-
-ifeq ($(DEB_HOST_ARCH),armhf)
-  DISTRIBUTION_PATCHES += debian/patches/force-libgl-armhf.patch
-endif
-export DISTRIBUTION_PATCHES
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 CXXFLAGS += -fvisibility=hidden
 
+# to select the qmake the package is build-depending on (according to
+# <http://pkg-kde.alioth.debian.org/packagingqtbasedstuff.html>)
+export QT_SELECT=qt5
+
 %:
-	dh  $@ --buildsystem=qmake_qt4
+	dh  $@ --buildsystem=qmake
 
 makefiles-to-safety:
 	# upstream ships Makefiles that get cleaned in `make distclean`;
@@ -43,7 +42,7 @@
 	rename -f 's/Makefile\.orig/Makefile/' Makefile.orig src/Makefile.orig example/Makefile.orig
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=libopencsg1v5
+	dh_installdocs --link-doc=libopencsg1
 
 override_dh_strip:
-	dh_strip --dbg-package=libopencsg1v5-dbg
+	dh_strip --dbg-package=libopencsg1-dbg

=== debian/watch ===
version=3

http://www.opencsg.org/OpenCSG-(.*)\.tar\.gz
